package app;

import java.util.ArrayList;
import java.util.List;

public class Pizza {
    private String name;
    private PizzaSize size;
    private List<Topping> toppings = new ArrayList<Topping>();

    public Pizza(String name, PizzaSize pizzaSize, List<Topping> toppings) {
        this.name = name;
        this.size = pizzaSize;
        this.toppings = toppings;
    }

    public String getName() {
        return this.name;
    }

    public PizzaSize getSize() {
        return this.size;
    }

    public List<Topping> getToppings() {
        return this.toppings;
    }

    public int getPrice() {
        int price = size.getPrice();
        for (int i = 0; i < toppings.size(); i++) {
            price += toppings.get(i).getPrice();
        }
        return price;
    }

    public void addTopping(Topping topping) {
        toppings.add(topping);
    }

    @Override
    public String toString() {
        return "{\n  name: " + this.name + ",\n  size: " + this.size + ",\n  toppings: " + this.toppings.toString()
                + ",\n}";
    }

}